Bug 970236 - The UID limits in node.conf are not enforced
The UID limits in node.conf are not enforced
Product: OpenShift Origin
Classification: Red Hat
Component: Containers (Show other bugs)
Unspecified Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: Rob Millner
libra bugs
: UpcomingRelease
Depends On:
  Show dependency treegraph
Reported: 2013-06-03 15:07 EDT by Rob Millner
Modified: 2015-05-14 19:12 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2013-08-20 14:05:14 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Rob Millner 2013-06-03 15:07:11 EDT
Description of problem:
The UID limits in node.conf are not enforced.  This leads to confusing behaviour.

Version-Release number of selected component (if applicable):

How reproducible:
Occasionally in production, but easy to reproduce in dev by requesting a high UID.

Steps to Reproduce:
1. use oo-app-create and specify a high UID.

Actual results:

Expected results:
Refused to create.

Additional info:
The production district code has a limit that's 1000 higher than the nodes.  Harmonize them as part of this bug.
Comment 1 Rob Millner 2013-06-03 15:13:01 EDT
The port proxy allocator is based on the UID range and we've already had bugs with how the ranges conflict.
Comment 2 Rob Millner 2013-08-20 14:05:14 EDT
Converted to a user story to cover the long standing technical debt.

Note You need to log in before you can comment on or make changes to this bug.